browser-pack(1)

NAME
browser-pack - pack Node.js source file information for browserify uses

SYNOPSIS
browser-pack [file]

DESCRIPTION
browser-pack pack node-style source files from a json stream into a browser bundle. browser-pack will input a json file and output a javascript file. browser-pack will read by default STDIN.

EXAMPLES
browser-pack <<EOF
[
  {
    "id": "a1b5af78",
    "source": "console.log(require('./foo')(5))",
    "deps": { "./foo": "b8f69fa5" },
    "entry": true
  },
  {
    "id": "b8f69fa5",
    "source": "module.exports = function (n) { return n * 111 }",
    "deps": {}
  }
]
EOF

SEE ALSO
browserify(1), nodejs(1),